

 /************************************************
  User must configure chip select registers below
 ************************************************/
  
/* Defined in linker script */
extern volatile unsigned long int __IPSBAR;

/* Linker script places this code in                            */ 
/*        output linker section .pecrt0                         */
void memory_init_hook(void) __attribute__ ((section (".pecrt0")));
void hardware_init_hook(void) __attribute__ ((section (".pecrt0")));
void software_init_hook(void) __attribute__ ((section (".pecrt0")));
 
void memory_init_hook(void) {  

/****************************************
 Configure chip select registers here  
 ****************************************/

/* This example uses internal RAM and internal Flash. */      

}


void hardware_init_hook(void) {

}


void software_init_hook(void) {

}
